shishi_resolv(3)

NAME
shishi_resolv - API function

SYNOPSIS
#include <shishi.h>

Shishi_dns shishi_resolv(const char * zone, uint16_t querytype);

ARGUMENTS

const char * zone
    Domain name of authentication zone, e.g. "EXAMPLE.ORG"

uint16_t querytype
    Type of domain data to query for.

DESCRIPTION
Queries the DNS resolver for data of type querytype about the domain name zone. Currently, the types SHISHI_DNS_TXT and SHISHI_DNS_SRV are the only supported kinds.

After its use, the returned list should be deallocated by a call to shishi_resolv_free().

RETURN VALUE
Returns a linked list of DNS resource records, or NULL if the query failed.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.